Loading...
Searching...
No Matches
ClearableDigraphComponent< BAS > Class Template Reference

## Detailed Description

template<typename BAS = BaseDigraphComponent>
class lemon::concepts::ClearableDigraphComponent< BAS >

This class describes the interface of clearable directed graphs. It extends BaseDigraphComponent with a function for clearing the digraph. This concept requires AlterableDigraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ClearableDigraphComponent< BAS >:
[legend]

## Public Member Functions

void | clear ()
| Erase all nodes and arcs from the digraph.
Public Member Functions inherited from BaseDigraphComponent
Node | source (const Arc &) const
| Return the source node of an arc.
Node | target (const Arc &) const
| Return the target node of an arc.
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc.

## Additional Inherited Members

Public Types inherited from BaseDigraphComponent
typedef GraphItem< 'n'> | Node
| Node class of the digraph.
typedef GraphItem< 'a'> | Arc
| Arc class of the digraph.

## Member Function Documentation

## clear()

template<typename BAS = BaseDigraphComponent>

void clear | ( |  | ) |

inline

This function erases all nodes and arcs from the digraph.